API ReferenceMembers
Delete a tenant membership
Analytics Events
TENANT_MEMBERSHIP_DELETE_STARTTENANT_MEMBERSHIP_DELETE_SUCCESSTENANT_MEMBERSHIP_DELETE_FAIL
DELETE
/v1/tenants/{tenantId}/memberships/{userId}Removes the membership of a user from the specified tenant. This will remove all user permissions for this tenant.
Analytic events
- TENANT_MEMBERSHIP_DELETE_START
- TENANT_MEMBERSHIP_DELETE_SUCCESS
- TENANT_MEMBERSHIP_DELETE_FAIL
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
tenantId*string
Identifier of the tenant the user is being removed from.
Format
uuiduserId*string
Identifier of the user being removed.
Format
uuidResponse Body
application/json
text/plain
curl -X DELETE "https://manage.mattr.global/v1/tenants/543e0579-87b9-4705-be78-8f7f54709838/memberships/818f7564-49cb-4003-b041-37aec302e2c9"Empty
{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}"Unauthorized"Empty
Empty
How would you rate this page?
Update a tenant membership PUT
Updates the membership of a user in the tenant. This includes the roles assigned to this user for this tenant. ### **Analytic events** * TENANT_MEMBERSHIP_UPDATE_START * TENANT_MEMBERSHIP_UPDATE_SUCCESS * TENANT_MEMBERSHIP_UPDATE_FAIL
Update user information PUT
Updates the information of the currently authenticated user. ### **Analytic events** * USER_USERINFO_UPDATE_START * USER_USERINFO_UPDATE_SUCCESS * USER_USERINFO_UPDATE_FAIL